public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/ogmtools/files/, media-sound/ogmtools/
Date: Sun, 21 Jun 2020 13:21:09 +0000 (UTC)	[thread overview]
Message-ID: <1592745598.77f077259f2455e3d6219462ec3f178f6fd8541c.soap@gentoo> (raw)

commit:     77f077259f2455e3d6219462ec3f178f6fd8541c
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 21 13:19:58 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 13:19:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77f07725

media-sound/ogmtools: [QA] Fix build system

Closes: https://bugs.gentoo.org/724678
Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../files/ogmtools-1.5-fix-autotools.patch         | 44 ++++++++++++++++++++++
 media-sound/ogmtools/ogmtools-1.5-r2.ebuild        | 29 +++++++++-----
 2 files changed, 63 insertions(+), 10 deletions(-)

diff --git a/media-sound/ogmtools/files/ogmtools-1.5-fix-autotools.patch b/media-sound/ogmtools/files/ogmtools-1.5-fix-autotools.patch
new file mode 100644
index 00000000000..74aba946306
--- /dev/null
+++ b/media-sound/ogmtools/files/ogmtools-1.5-fix-autotools.patch
@@ -0,0 +1,44 @@
+--- a/avilib/Makefile.am
++++ b/avilib/Makefile.am
+@@ -7,7 +7,8 @@
+ 
+ INCLUDES = -I./
+ 
+-CFLAGS=-O3 -funroll-loops -ffast-math -DLINUX -Wall @CFLAGS@
++AM_CFLAGS=-Wall
++AM_CPPFLAGS=-DLINUX
+ libavi_a_SOURCES = avilib.c avidump.c avimisc.c xio.c
+ 
+ EXTRA_DIST = avilib.h README.avilib
+--- a/configure.in
++++ b/configure.in
+@@ -8,6 +8,7 @@
+ AC_PROG_GCC_TRADITIONAL
+ AC_PROG_CPP
+ AC_PROG_RANLIB
++AM_PROG_AR
+ 
+ XIPH_PATH_OGG()
+ XIPH_PATH_VORBIS()
+@@ -31,7 +32,7 @@
+ dnl Check for headers
+ AC_HEADER_STDC()
+ 
+-CFLAGS="-Wall -Wno-sign-compare @OGG_CFLAGS@ @VORBIS_CFLAGS@ @AVILIB_CFLAGS@ @DEBUG_CFLAGS@ @PROFILING_CFLAGS@"
+-CXXFLAGS="-Wall -Wno-sign-compare @OGG_CFLAGS@ @VORBIS_CFLAGS@ @AVILIB_CFLAGS@ @DEBUG_CFLAGS@ @PROFILING_CFLAGS@"
++CFLAGS+=" -Wall -Wno-sign-compare"
++CXXFLAGS+=" -Wall -Wno-sign-compare"
+ 
+ AC_OUTPUT(Makefile avilib/Makefile)
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -2,6 +2,9 @@
+ 
+ AUTOMAKE_OPTIONS = dist-zip foreign
+ 
++AM_CFLAGS=$(OGG_CFLAGS) $(VORBIS_CFLAGS) $(AVILIB_CFLAGS) $(DEBUG_CFLAGS) $(PROFILING_CFLAGS)
++AM_CXXFLAGS=$(OGG_CFLAGS) $(VORBIS_CFLAGS) $(AVILIB_CFLAGS) $(DEBUG_CFLAGS) $(PROFILING_CFLAGS)
++
+ SUBDIRS = avilib
+ 
+ if HAVE_LIBDVDREAD

diff --git a/media-sound/ogmtools/ogmtools-1.5-r2.ebuild b/media-sound/ogmtools/ogmtools-1.5-r2.ebuild
index 7e1a4b01a91..28fb209d7f3 100644
--- a/media-sound/ogmtools/ogmtools-1.5-r2.ebuild
+++ b/media-sound/ogmtools/ogmtools-1.5-r2.ebuild
@@ -1,7 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
+
+inherit autotools
 
 DESCRIPTION="Information, extraction or creation for OGG media streams"
 HOMEPAGE="https://www.bunkus.org/videotools/ogmtools/"
@@ -12,20 +14,27 @@ SLOT="0"
 KEYWORDS="amd64 ppc ppc64 sparc x86"
 IUSE="dvd"
 
-RDEPEND="dvd? ( media-libs/libdvdread )
-	media-sound/vorbis-tools"
+RDEPEND="
+	media-sound/vorbis-tools
+	dvd? ( media-libs/libdvdread )"
 DEPEND="${RDEPEND}"
 
 PATCHES=(
-	"${FILESDIR}/${P}-comments.patch"
-	"${FILESDIR}/${P}-endian-fix.patch"
-	"${FILESDIR}/${P}-vorbis_verbosity.patch"
-	"${FILESDIR}/${P}-summary_length.patch"
+	"${FILESDIR}"/${P}-comments.patch
+	"${FILESDIR}"/${P}-endian-fix.patch
+	"${FILESDIR}"/${P}-vorbis_verbosity.patch
+	"${FILESDIR}"/${P}-summary_length.patch
+	"${FILESDIR}"/${P}-fix-autotools.patch
 )
 
+src_prepare() {
+	default
+	mv configure.{in,ac} || die
+	eautoreconf
+}
+
 src_configure() {
-	econf \
-		$(use_with dvd dvdread)
+	econf $(use_with dvd dvdread)
 }
 
 src_install() {


             reply	other threads:[~2020-06-21 13:21 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-21 13:21 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-04-29 22:03 [gentoo-commits] repo/gentoo:master commit in: media-sound/ogmtools/files/, media-sound/ogmtools/ David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1592745598.77f077259f2455e3d6219462ec3f178f6fd8541c.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox